import { GetNounceRequest, PartitionsProtectedRequest } from "../../request";
import { BaseSecurityInPort } from "../BaseSecurityInPort";
export interface ISecurityInPortProtectedPartitions {
    arePartitionsProtected(request: PartitionsProtectedRequest): Promise<boolean>;
    protectPartitions(request: PartitionsProtectedRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    unprotectPartitions(request: PartitionsProtectedRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    getNounce(request: GetNounceRequest): Promise<number>;
}
export declare class SecurityInPortProtectedPartitions extends BaseSecurityInPort implements ISecurityInPortProtectedPartitions {
    arePartitionsProtected(request: PartitionsProtectedRequest): Promise<boolean>;
    protectPartitions(request: PartitionsProtectedRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    unprotectPartitions(request: PartitionsProtectedRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    getNounce(request: GetNounceRequest): Promise<number>;
}
